version: '3.8'

services:
  traefik:
    image: {{ traefik_docker_image }}
    command:
      - "--configFile={{ traefik_config_path }}"
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    configs:
      - source: traefik_config
        target: {{ traefik_config_path }}
    ports:
      - "80:80"
      - "8080:8080"
    deploy:
      mode: replicated
      replicas: 1
      placement:
        constraints:
          - node.role==manager
      labels:
        - "traefik.port=8080"
        - "traefik.frontend.rule=Host:{{ traefik_frontend_host }}"

configs:
  traefik_config:
    name: traefik_config
    external: true